package javax.management.openmbean;

import java.util.Collection;
import java.util.Set;

public interface TabularData
{
    public abstract TabularType getTabularType();
    
    public abstract Object[] calculateIndex(CompositeData p0);
    
    public abstract int size();
    
    public abstract boolean isEmpty();
    
    public abstract boolean containsKey(Object[] p0);
    
    public abstract boolean containsValue(CompositeData p0);
    
    public abstract CompositeData get(Object[] p0);
    
    public abstract void put(CompositeData p0);
    
    public abstract CompositeData remove(Object[] p0);
    
    public abstract void putAll(CompositeData[] p0);
    
    public abstract void clear();
    
    public abstract Set<?> keySet();
    
    public abstract Collection<?> values();
    
    public abstract boolean equals(Object p0);
    
    public abstract int hashCode();
    
    public abstract String toString();
}
